Package org.apache.commons.math3.stat.clustering

# Interface Clusterable<T>

Type Parameters:
  `T` - the type of point that can be clustered

All Known Implementing Classes:
  `EuclideanDoublePoint`, `EuclideanIntegerPoint`

@Deprecated public interface Clusterable<T>
Deprecated.
As of 3.2 (to be removed in 4.0), use `Clusterable` instead
Interface for points that can be clustered together.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`T`
`centroidOf(Collection<T> p)`
Deprecated.
Returns the centroid of the given Collection of points.
`double`
`distanceFrom(T p)`
Deprecated.
Returns the distance from the given point.

## Method Details

### distanceFrom

double distanceFrom(T p)
Deprecated.
Returns the distance from the given point.

Parameters:
  `p` - the point to compute the distance from
Returns:
  the distance from the given point

### centroidOf

T centroidOf(Collection<T> p)
Deprecated.
Returns the centroid of the given Collection of points.

Parameters:
  `p` - the Collection of points to compute the centroid of
Returns:
  the centroid of the given Collection of Points